Subject: Re: bug#24547: 24.4; dired should colour in sockets and pipes

From: "Trent W. Buck" <[email-masked]>
Date: Thu, 1 Aug 2019 12:17:02 +1000

Juri Linkov wrote:
>>> What are the remaining special file types possible in ls output?
>> [dircolors --print-database]
>
> [...] what would be a common word for these special file types:
> pipe, socket, block and character device?
>
> Currently the face name is 'dired-socket', but this doesn't seem right
> since it's used not only for socket, but also for pipe, block and character
> devices.  Is 'dired-special' a better name?  At least the manual
> (info "(coreutils) What information is listed") named them "special file".

dired-special makes sense to me, and I can't think of a better term.